Bug 1922276 (CVE-2021-20231) - CVE-2021-20231 gnutls: Use after free in client key_share extension
Summary: CVE-2021-20231 gnutls: Use after free in client key_share extension
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-20231
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1927596 1927597 1927598 1938147 1938148
Blocks: 1922277 1926232
TreeView+ depends on / blocked
 
Reported: 2021-01-29 15:18 UTC by Pedro Sampaio
Modified: 2022-04-17 21:07 UTC (History)
15 users (show)

Fixed In Version: gnutls 3.7.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in gnutls. A use after free issue in client sending key_share extension may lead to memory corruption and other consequences.
Clone Of:
Environment:
Last Closed: 2021-11-09 20:21:37 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4451 0 None None None 2021-11-09 18:50:10 UTC

Description Pedro Sampaio 2021-01-29 15:18:30 UTC
A flaw was found in gnutls. A use after free issue in client sending key_share extension may lead to memory corruption and other consequences.

Comment 3 Huzaifa S. Sidhpurwala 2021-03-12 09:49:56 UTC
External References:

https://www.gnutls.org/security-new.html#GNUTLS-SA-2021-03-10

Comment 4 Huzaifa S. Sidhpurwala 2021-03-12 09:55:03 UTC
Created gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1938147]


Created mingw-gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1938148]

Comment 5 Huzaifa S. Sidhpurwala 2021-03-12 10:07:17 UTC
Acknowledgments:

Name: GnuTLS project

Comment 6 Huzaifa S. Sidhpurwala 2021-03-12 10:12:16 UTC
Upstream commit: https://gitlab.com/gnutls/gnutls/-/commit/15beb4b193b2714d88107e7dffca781798684e7e

Comment 8 errata-xmlrpc 2021-11-09 18:50:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4451 https://access.redhat.com/errata/RHSA-2021:4451

Comment 9 Product Security DevOps Team 2021-11-09 20:21:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-20231


Note You need to log in before you can comment on or make changes to this bug.